package server_api //nolint:staticcheck

import (
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/api"
)

// RunnerInfo contains information about a runner agent
type RunnerInfo struct {
	// Key is the agent's type and id in the database.
	Key api.AgentKey
}

func (a *RunnerInfo) AgentKey() api.AgentKey {
	return a.Key
}
